import type { Renderer } from '@galacean/effects-core';
import { SpriteComponent, spec } from '@galacean/effects-core';
import * as THREE from 'three';
export declare class ThreeSpriteComponent extends SpriteComponent {
    threeMesh: THREE.Mesh | THREE.LineSegments;
    /**
     * 设置 mesh 的渲染顺序
     *
     * @param v - 顺序 index
     */
    set priority(v: number);
    /**
     * 获取 mesh 的渲染顺序
     */
    get priority(): number;
    /**
     * TODO: 待移除
     * 设置 mesh 可见性
     *
     * @param val - 可见性开关
     */
    setVisible(val: boolean): void;
    /**
     * TODO: 待移除
     * 获取 mesh 的可见性
     *
     * @returns
     */
    getVisible(): boolean;
    get enabled(): boolean;
    set enabled(value: boolean);
    /**
     * 销毁方法
     *
     */
    dispose(): void;
    fromData(data: spec.SpriteComponentData): void;
    onStart(): void;
    render(renderer: Renderer): void;
    onDestroy(): void;
}
